Bug 505521 - semanage port add/delete problems
semanage port add/delete problems
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: policycoreutils (Show other bugs)
5.3
All Linux
medium Severity medium
: rc
: ---
Assigned To: Miroslav Grepl
BaseOS QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-12 04:36 EDT by Milos Malik
Modified: 2016-11-23 04:31 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-30 04:13:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Milos Malik 2009-06-12 04:36:08 EDT
Description of problem:
The semanage tool does not check if added port numbers are valid. Once the invalid port number is added, it cannot be deleted.

Version-Release number of selected component (if applicable):
policycoreutils-1.33.12-14.5.el5

How reproducible:
always

Steps to Reproduce:
# semanage port -l | grep ldap_port
ldap_port_t                    tcp      389, 636
ldap_port_t                    udp      389, 636
# semanage port -a -t ldap_port_t -p tcp 123456
# semanage port -l | grep ldap_port
ldap_port_t                    tcp      57920, 389, 636
ldap_port_t                    udp      389, 636
# semanage port -d -t ldap_port_t -p tcp 123456
/usr/sbin/semanage: Port tcp/123456 is not defined
# semanage port -d -t ldap_port_t -p tcp 57920
/usr/sbin/semanage: Port tcp/57920 is defined in policy, cannot be deleted
# semanage port -l | grep ldap_port
ldap_port_t                    tcp      57920, 389, 636
ldap_port_t                    udp      389, 636

  
Actual results:
1) invalid port number is accepted
2) cannot delete the port via '-d'

Expected results:
1) invalid port number is rejected
2) each of shown ports can be deleted via '-d'

Additional info:
Comment 4 Miroslav Grepl 2009-11-25 11:27:38 EST
Fixed in policycoreutils-1.33.12-14.7.el5
Comment 8 errata-xmlrpc 2010-03-30 04:13:03 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-0208.html

Note You need to log in before you can comment on or make changes to this bug.